Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class RemoteLoginManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  RemoteLoginManagerImpl

    public interface class RemoteLoginManager

extends java.rmi.Remote

Web service login manager. This interface allows creating new sessions via the `login()` methods and disposal via `logout()`.

Method Summary
`NamedValue[]` | `login(java.lang.String username, java.lang.String password, NamedValue[] options, AttributeRequest[] userAttributes)` Start a session authenticated as the given user.
`void` | `logout()` Disconnects the current session, if any.

Method Detail

### login

    NamedValue[] login(java.lang.String username,
                       java.lang.String password,
                       NamedValue[] options,
                       AttributeRequest[] userAttributes)
                       throws FdkException

  Description copied from interface: `RemoteLoginManager`
  Start a session authenticated as the given user. The current session tracking mechanism is via HTTP session cookies. The client MUST pass back ALL cookies received from the server after this call otherwise the session may be lost.

  Parameters:
    `username` - The username.
    `password` - The password.
    `options` - Options that should be set on the session. NOTE: Currently no options are supported, this argument is ignored and `null` can be safely passed.
    `userAttributes` - Optional attributes on the user item that should be returned. Can be `null`.
  Returns:
    A `NamedValue[]` set of properties that contains the following keys (listed below as defined constants and literal strings):
    `WebServicesConstants.LOGIN_USER ("LOGIN_USER")` - The user item, which includes the requested attributes.
    `WebServicesConstants.SESSION_TIMEOUT ("SESSION_TIMEOUT")` - The session inactivity timeout, in seconds.
    `WebServicesConstants.TRANSACTION_TIMEOUT ("TRANSACTION_TIMEOUT")` - The transaction inactivity timeout, in seconds.
  Throws:
    `FdkException`

### logout

    void logout()
                throws FdkException

  Description copied from interface: `RemoteLoginManager`
  Disconnects the current session, if any.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD